/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\FishermansTendon.cs
Lines of code: 39

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class FishermansTendon : FloppyHat
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public FishermansTendon()
		{
			Hue = 1148;
			Name = "Fisherman's Tendon";
			Attributes.RegenStam = 2;
			Attributes.RegenMana = 1;
			Attributes.RegenHits = 2;
			Resistances.Poison = 15;
			Resistances.Physical = 15;
			SkillBonuses.SetValues( 0, SkillName.Fishing, 25.0 );
		}

		public FishermansTendon( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{
		
			Misc.ObjectConverter.ConvertItem(this,new PaupersPrime());
		}		
	}
}